
Foreman - Feature #6563

Include safemode with respond_to? fixes

07/10/2014 07:41 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.5.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We need a new version of safemode that includes a working respond_to? method:

https://github.com/svenfuchs/safemode/pull/8

Since Foreman uses both ~> 1.2.0 and ~> 1.0.2 (for Ruby 1.8), we would need a new release of master, plus if at all possible, a

backport to the 1.0.x series.

This will make it possible for us to use respond_to? for feature checks in templates.

I'll likely backport into 1.5 too if we can get this in 1.6.

Related issues:

Related to Foreman - Bug #6855: Require SafeMode gem version to latest Closed 07/31/2014

History

#1 - 07/28/2014 08:21 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 07/30/2014 06:52 AM - Dominic Cleal

- Status changed from Assigned to Closed

- Target version set to 1.7.5

- % Done changed from 0 to 100

- translation missing: en.field_release changed from 10 to 20

This will now permit object.respond_to? and using operators on booleans from within templates.

1.2.1 RPMs built.

#3 - 08/01/2014 11:11 AM - Dominic Cleal

- Related to Bug #6855: Require SafeMode gem version to latest added
